src.backend.lib.models.Book Class Reference
Inheritance diagram for src.backend.lib.models.Book:

## Static Public Attributes

Mapped | book_id = mapped_column(primary_key=True, nullable=False)
Mapped | title [str]
Mapped | author [Optional[str]]
Mapped | categories [Optional[str]]
Mapped | cover [Optional[bytes]]
Mapped | pages [Optional[int]]
Mapped | progress [Optional[float]]
Mapped | file_name [str]
Mapped | description [Optional[str]]
Mapped | date [timestamp]
Mapped | rights [Optional[str]]
Mapped | tags [Optional[str]]
Mapped | identifier [Optional[str]]
Mapped | publisher [Optional[str]]

## Detailed Description

    Book model.

## Member Data Documentation

## author

Mapped src.backend.lib.models.Book.author [Optional[str]]

static

## book_id

Mapped src.backend.lib.models.Book.book_id = mapped_column(primary_key=True, nullable=False)

static

## categories

Mapped src.backend.lib.models.Book.categories [Optional[str]]

static

## cover

Mapped src.backend.lib.models.Book.cover [Optional[bytes]]

static

## date

Mapped src.backend.lib.models.Book.date [timestamp]

static

## description

Mapped src.backend.lib.models.Book.description [Optional[str]]

static

## file_name

Mapped src.backend.lib.models.Book.file_name [str]

static

## identifier

Mapped src.backend.lib.models.Book.identifier [Optional[str]]

static

## pages

Mapped src.backend.lib.models.Book.pages [Optional[int]]

static

## progress

Mapped src.backend.lib.models.Book.progress [Optional[float]]

static

## publisher

Mapped src.backend.lib.models.Book.publisher [Optional[str]]

static

## rights

Mapped src.backend.lib.models.Book.rights [Optional[str]]

static

## tags

Mapped src.backend.lib.models.Book.tags [Optional[str]]

static

## title

Mapped src.backend.lib.models.Book.title [str]

static

The documentation for this class was generated from the following file:

- src/backend/lib/models.py